package com.yihu.jw.entity.hospital.prescription;

import javax.persistence.*;

/**
 * 眼科处方表1数据
 *
 * */
@Entity
@Table(name = "MS_CF02_YD")
public class HlwTnCf02DO {
    private Integer sBXH;//NUMBER(18)   N注释
    private Integer cFSB;//NUMBER(18)   N识别序号
    private Integer yPXH;//NUMBER(6)    N处方识别
    private Integer yPCD;//NUMBER(6)    N药品序号
    private Integer xMLX;//NUMBER(2)    N药品产地
    private Integer cFTS;//NUMBER(2)    N项目类型
    private Double yPSL;//NUMBER(10,2) N处方贴数
    private Double yPDJ;//NUMBER(12,4) N药品数量
    private Double hJJE;//NUMBER(12,2) N药品单价
    private Integer yPZS;//INTEGER      N划价金额
    private String yCSL;//VARCHAR2(20)  N药品组数
    private Integer fYGB;//NUMBER(4)    N一次数量
    private Double zFBL;//NUMBER(5,3)  N费用归并
    private Integer gYTJ;//NUMBER(4)    Y自负比例
    private String yPYF;//VARCHAR2(20)  Y给药途径
    private Integer yPZH;//NUMBER(18)   Y药品用法
    private String yFGG;//VARCHAR2(20)  Y药品组号
    private String yFDW;//VARCHAR2(4)   Y药房规格
    private Integer yFBZ;//NUMBER(4)    N药房单位
    private String sJYL;//VARCHAR2(20)  Y药房包装
    private Integer pSPB;//NUMBER(1)    Y实际用量
    private Integer yYTS;//INTEGER      Y皮试判别
    private Double yCSL2;//NUMBER(10,4)Y用药天数
    private Double xSSL;//NUMBER(10,4) Y一次用量
    private Integer mRCS;//NUMBER(2)    N显示数量
    private String cFBZ;//VARCHAR2(40)  Y每日次数
    private Double yCJL;//NUMBER(10,2) Y处方标志
    private Integer pSJG;//NUMBER(1)    Y一次剂量
    private Integer pLXH;//NUMBER(4)    Y皮试结果
    private Integer sL;//numeric(18, 0)总数量
    private Integer yPSL1;//	numeric(10, 2)	Checked
    private Integer tgbz;//	int	Checked
    private Integer brjsh;//	numeric(18, 0)	Checked
    private Integer cSBZ;//	numeric(1, 0)	Checked
    private Integer jhjg;//	numeric(12, 4)	Unchecked
    private Integer jhje;//	numeric(12, 4)	Unchecked
    private String brjsh1;//	varchar(40)	Checked
    private String posLsh;//	varchar(6)	Checked
    private String jyje	;//varchar(12)	Checked
    private Integer jhjg1;//	numeric(12, 4)	Unchecked
    private Integer dzdr;//	numeric(1, 0)	Unchecked
    private Integer ypid;//	numeric(18, 0)	Checked


    @Id
    @Column(name = "SBXH")
    public Integer getSBXH() {
        return sBXH;
    }

    public void setSBXH(Integer sBXH) {
        this.sBXH = sBXH;
    }


    @Column(name = "CFSB")
    public Integer getCFSB() {
        return cFSB;
    }

    public void setCFSB(Integer cFSB) {
        this.cFSB = cFSB;
    }


    @Column(name = "YPXH")
    public Integer getYPXH() {
        return yPXH;
    }

    public void setYPXH(Integer yPXH) {
        this.yPXH = yPXH;
    }


    @Column(name = "YPCD")
    public Integer getYPCD() {
        return yPCD;
    }

    public void setYPCD(Integer yPCD) {
        this.yPCD = yPCD;
    }

    @Column(name = "XMLX")
    public Integer getXMLX() {
        return xMLX;
    }

    public void setXMLX(Integer xMLX) {
        this.xMLX = xMLX;
    }

    @Basic
    @Column(name = "CFTS")
    public Integer getCFTS() {
        return cFTS;
    }

    public void setCFTS(Integer cFTS) {
        this.cFTS = cFTS;
    }


    @Column(name = "YPSL")
    public Double getYPSL() {
        return yPSL;
    }

    public void setYPSL(Double yPSL) {
        this.yPSL = yPSL;
    }

    @Column(name = "YPDJ")
    public Double getYPDJ() {
        return yPDJ;
    }

    public void setYPDJ(Double yPDJ) {
        this.yPDJ = yPDJ;
    }

    @Column(name = "HJJE")
    public Double getHJJE() {
        return hJJE;
    }

    public void setHJJE(Double hJJE) {
        this.hJJE = hJJE;
    }

    @Column(name = "YPZS")
    public Integer getYPZS() {
        return yPZS;
    }

    public void setYPZS(Integer yPZS) {
        this.yPZS = yPZS;
    }

    @Column(name = "YCSL")
    public String getYCSL() {
        return yCSL;
    }

    public void setYCSL(String yCSL) {
        this.yCSL = yCSL;
    }

    @Column(name = "FYGB")
    public Integer getFYGB() {
        return fYGB;
    }

    public void setFYGB(Integer fYGB) {
        this.fYGB = fYGB;
    }

    @Column(name = "ZFBL")
    public Double getZFBL() {
        return zFBL;
    }

    public void setZFBL(Double zFBL) {
        this.zFBL = zFBL;
    }

    @Column(name = "GYTJ")
    public Integer getGYTJ() {
        return gYTJ;
    }

    public void setGYTJ(Integer gYTJ) {
        this.gYTJ = gYTJ;
    }

    @Column(name = "YPYF")
    public String getYPYF() {
        return yPYF;
    }

    public void setYPYF(String yPYF) {
        this.yPYF = yPYF;
    }

    @Column(name = "YPZH")
    public Integer getYPZH() {
        return yPZH;
    }

    public void setYPZH(Integer yPZH) {
        this.yPZH = yPZH;
    }

    @Column(name = "YFGG")
    public String getYFGG() {
        return yFGG;
    }

    public void setYFGG(String yFGG) {
        this.yFGG = yFGG;
    }

    @Column(name = "YFDW")
    public String getYFDW() {
        return yFDW;
    }

    public void setYFDW(String yFDW) {
        this.yFDW = yFDW;
    }

    @Column(name = "YFBZ")
    public Integer getYFBZ() {
        return yFBZ;
    }

    public void setYFBZ(Integer yFBZ) {
        this.yFBZ = yFBZ;
    }

    @Column(name = "SJYL")
    public String getSJYL() {
        return sJYL;
    }

    public void setSJYL(String sJYL) {
        this.sJYL = sJYL;
    }

    @Column(name = "PSPB")
    public Integer getPSPB() {
        return pSPB;
    }

    public void setPSPB(Integer pSPB) {
        this.pSPB = pSPB;
    }

    @Column(name = "YYTS")
    public Integer getYYTS() {
        return yYTS;
    }

    public void setYYTS(Integer yYTS) {
        this.yYTS = yYTS;
    }

    @Column(name = "YCSL2")
    public Double getYCSL2() {
        return yCSL2;
    }

    public void setYCSL2(Double yCSL2) {
        this.yCSL2 = yCSL2;
    }

    @Column(name = "XSSL")
    public Double getXSSL() {
        return xSSL;
    }

    public void setXSSL(Double xSSL) {
        this.xSSL = xSSL;
    }

    @Column(name = "MRCS")
    public Integer getMRCS() {
        return mRCS;
    }

    public void setMRCS(Integer mRCS) {
        this.mRCS = mRCS;
    }

    @Column(name = "CFBZ")
    public String getCFBZ() {
        return cFBZ;
    }

    public void setCFBZ(String cFBZ) {
        this.cFBZ = cFBZ;
    }

    @Column(name = "YCJL")
    public Double getYCJL() {
        return yCJL;
    }

    public void setYCJL(Double yCJL) {
        this.yCJL = yCJL;
    }

    @Column(name = "PSJG")
    public Integer getPSJG() {
        return pSJG;
    }

    public void setPSJG(Integer pSJG) {
        this.pSJG = pSJG;
    }

    @Column(name = "PLXH")
    public Integer getPLXH() {
        return pLXH;
    }

    public void setPLXH(Integer pLXH) {
        this.pLXH = pLXH;
    }

    @Column(name = "SL")
    public Integer getSL() {
        return sL;
    }

    public void setSL(Integer sL) {
        this.sL = sL;
    }

    @Column(name = "YPSL1")
    public Integer getYPSL1() {
        return yPSL1;
    }

    public void setYPSL1(Integer yPSL1) {
        this.yPSL1 = yPSL1;
    }

    @Column(name = "tgbz")
    public Integer getTgbz() {
        return tgbz;
    }

    public void setTgbz(Integer tgbz) {
        this.tgbz = tgbz;
    }

    @Column(name = "brjsh")
    public Integer getBrjsh() {
        return brjsh;
    }

    public void setBrjsh(Integer brjsh) {
        this.brjsh = brjsh;
    }

    @Column(name = "CSBZ")
    public Integer getCSBZ() {
        return cSBZ;
    }

    public void setCSBZ(Integer cSBZ) {
        this.cSBZ = cSBZ;
    }

    @Column(name = "jhjg")
    public Integer getJhjg() {
        return jhjg;
    }

    public void setJhjg(Integer jhjg) {
        this.jhjg = jhjg;
    }

    @Column(name = "jhje")
    public Integer getJhje() {
        return jhje;
    }

    public void setJhje(Integer jhje) {
        this.jhje = jhje;
    }

    @Column(name = "brjsh1")
    public String getBrjsh1() {
        return brjsh1;
    }

    public void setBrjsh1(String brjsh1) {
        this.brjsh1 = brjsh1;
    }

    @Column(name = "pos_lsh")
    public String getPosLsh() {
        return posLsh;
    }

    public void setPosLsh(String posLsh) {
        this.posLsh = posLsh;
    }

    @Column(name = "jyje")
    public String getJyje() {
        return jyje;
    }

    public void setJyje(String jyje) {
        this.jyje = jyje;
    }

    @Column(name = "jhjg1")
    public Integer getJhjg1() {
        return jhjg1;
    }

    public void setJhjg1(Integer jhjg1) {
        this.jhjg1 = jhjg1;
    }

    @Column(name = "dzdr")
    public Integer getDzdr() {
        return dzdr;
    }

    public void setDzdr(Integer dzdr) {
        this.dzdr = dzdr;
    }

    @Column(name = "ypid")
    public Integer getYpid() {
        return ypid;
    }

    public void setYpid(Integer ypid) {
        this.ypid = ypid;
    }
}
